REPO(1)

NAME
repo - repo rebase - manual page for repo rebase

SYNOPSIS
repo rebase {[<project>...] | -i <project>...}

DESCRIPTION
Summary

Rebase local branches on upstream branch

OPTIONS

-h, --help
    show this help message and exit

--fail-fast
    stop rebasing after first error is hit

-f, --force-rebase
    pass --force-rebase to git rebase

--no-ff
    pass --no-ff to git rebase

--autosquash
    pass --autosquash to git rebase

--whitespace=WS
    pass --whitespace to git rebase

--auto-stash
    stash local modifications before starting

-m, --onto-manifest
    rebase onto the manifest version instead of upstream HEAD (this helps to make sure the local tree stays consistent if you previously synced to a manifest)

  Logging options:

-v, --verbose
    show all output

-q, --quiet
    only show errors

-i, --interactive
    interactive rebase (single project only)

  Multi-manifest options:

--outer-manifest
    operate starting at the outermost manifest

--no-outer-manifest
    do not operate on outer manifests

--this-manifest-only
    only operate on this (sub)manifest

--no-this-manifest-only, --all-manifests
    operate on this manifest and its submanifests

Run `repo help rebase` to view the detailed manual.

DETAILS

'repo rebase' uses git rebase to move local changes in the current topic branch to the HEAD of the upstream history, useful when you have made commits in a topic branch but need to incorporate new upstream changes "underneath" them.